Package org.kapott.hbci.GV

## Class GVTermMultiUebSEPA

- java.lang.Object
- - org.kapott.hbci.GV.HBCIJobImpl
  - - org.kapott.hbci.GV.AbstractSEPAGV
    - - org.kapott.hbci.GV.GVUebSEPA
      - - org.kapott.hbci.GV.GVMultiUebSEPA
        - - org.kapott.hbci.GV.GVTermMultiUebSEPA

All Implemented Interfaces:
  `HBCIJob`

    public class GVTermMultiUebSEPA
    extends GVMultiUebSEPA

Job-Implementierung fuer terminierte SEPA-Sammelueberweisungen.

### Field Summary

### Fields inherited from class org.kapott.hbci.GV.AbstractSEPAGV

`ENDTOEND_ID_NOTPROVIDED, sepaParams`

### Fields inherited from class org.kapott.hbci.GV.HBCIJobImpl

`jobResult`

### Constructor Summary

Constructors
`GVTermMultiUebSEPA​(HBCIHandler handler)` ct.
`GVTermMultiUebSEPA​(HBCIHandler handler, java.lang.String name)` ct.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected void` `extractResults​(HBCIMsgStatus msgstatus, java.lang.String header, int idx)`
`static java.lang.String` `getLowlevelName()` Liefert den Lowlevel-Namen des Jobs.

### Methods inherited from class org.kapott.hbci.GV.GVMultiUebSEPA

`createSEPAFromParams, getChallengeParam, getPainJobName`

### Methods inherited from class org.kapott.hbci.GV.GVUebSEPA

`getDefaultPainVersion, getPainType`

### Methods inherited from class org.kapott.hbci.GV.AbstractSEPAGV

`addConstraint, getLowlevelParam, getPainVersion, getSEPAGenerator, getSEPAMessageId, getSEPAParam, setLowlevelParam, setSEPAParam, verifyConstraints`

### Methods inherited from class org.kapott.hbci.GV.HBCIJobImpl

`acceptsParam, addConstraint, addSignaturePassport, addToQueue, addToQueue, applyOffset, canNationalAcc, checkAccountCRC, createJobSegment, createJobSegment, fillJobResult, getExternalId, getHBCICode, getJobName, getJobParameterNames, getJobRestrictions, getJobResult, getJobResultNames, getLowlevelParams, getMainPassport, getMaxNumberPerMsg, getMinSigs, getName, getOrderAccount, getParentHandler, getSecurityClass, getSegVersion, getSignaturePassports, haveTan, redo, redoAllowed, saveReturnValues, setExternalId, setIdx, setParam, setParam, setParam, setParam, setParam, setParam, setParam, setParam, setParam, setSegVersion, skip, skipped, tanApplied, twoDigitValueInList`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GVTermMultiUebSEPA

    public GVTermMultiUebSEPA​(HBCIHandler handler)

ct.

Parameters:
  `handler` -

#### GVTermMultiUebSEPA

    public GVTermMultiUebSEPA​(HBCIHandler handler,
                              java.lang.String name)

ct.

Parameters:
  `handler` -
  `name` -

### Method Detail

#### getLowlevelName

    public static java.lang.String getLowlevelName()

Liefert den Lowlevel-Namen des Jobs.

Returns:
  der Lowlevel-Namen des Jobs.

#### extractResults

    protected void extractResults​(HBCIMsgStatus msgstatus,
                                  java.lang.String header,
                                  int idx)

Overrides:
  `extractResults` in class `HBCIJobImpl`
See Also:
  `HBCIJobImpl.extractResults(org.kapott.hbci.status.HBCIMsgStatus, java.lang.String, int)`